<%@ Page Language="c#" AutoEventWireup="True" CodeBehind="Configuration.aspx.cs" Inherits="Canto.Episerver.Integration.Admin.Configuration" Title="Canto Configuration" %>

<%@ Import Namespace="EPiServer" %>
<%@ Import Namespace="EPiServer.Shell" %>
<%@ Import Namespace="EPiServer.Web" %>
<%@ Import Namespace="EPiServer.Framework.Web.Mvc.Html" %>
<%@ Register TagPrefix="EPiServerUI" Namespace="EPiServer.UI.WebControls" Assembly="EPiServer.UI" %>
<%@ Register TagPrefix="ES" Namespace="EPiServer.Shell.Web.UI.WebControls" Assembly="EPiServer.Shell" %>

<html>
<head>
    <title>Canto Portal</title>

    <%= Page.ClientResources( "ShellCore" ) %>
    <%= Page.ClientResources( "ShellWidgets" ) %>
    <%= Page.ClientResources( "ShellCoreLightTheme" ) %>
    <%= Page.ClientResources( "Navigation" ) %>
    <%= Page.ClientResources( "DojoDashboardCompatibility" ) %>

    <link rel="stylesheet" type="text/css" href="<%= ResolveUrl("~/App_Themes/Default/styles/system.css") %>" />
    <link rel="stylesheet" type="text/css" href="<%= ResolveUrl("~/App_Themes/Default/styles/ToolButton.css") %>" />
</head>
<body>
    <form id="form1" runat="server">
        <ES:ShellMenu runat="server" ID="ShellMenu1" Area="CMS" />
        <div class="epi-padding">
            <div class="epi-contentArea">
                <h1 class="EP-prefix">Canto Configuration
                        <a title="Canto Help" href="https://www.canto.com/api/" target="_blank">
                            <img class="EPEdit-CommandTool" src="/App_Themes/Default/Images/Tools/Help.png" alt="Help" border="0" align="absmiddle">
                        </a>
                </h1>
                <%--<p class="EP-systemInfo">Canto OAuth 2 authorization configuration</p>--%>
                <asp:Panel runat="server" ID="phMessage" Visible="False">
                    <div id="FullRegion_ValidationSummary" class="EP-validationSummary" style="color: Black; padding-left: 35px;">
                        <asp:Literal runat="server" ID="litMessage"></asp:Literal>
                    </div>
                </asp:Panel>
            </div>

             <asp:Panel runat="server" ID="pnlRefresh" CssClass="epi-formArea">
                <fieldset>
                    <legend>Refresh / Clear Cache</legend>
                    <div>Reload canto content into Episever</div>
                    <p>
                        <span class="epi-cmsButton">
                            <asp:Button ID="btnRefresh" runat="server" OnClick="btnRefresh_Click" Text="<%$ Resources: EPiServer, button.refresh %>" ToolTip="<%$ Resources: EPiServer, button.save %>" SkinID="Save" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Refresh" />
                        </span>
                    </p>
                </fieldset>
            </asp:Panel>

            <asp:Panel runat="server" ID="pnlConfig" CssClass="epi-formArea">
                <div runat="server" id="pnlTokenSummary" visible="false">
                    <fieldset>
                        <legend>Token Summary</legend>
                        <dl>
                            <dt>Token created</dt>
                            <dd><%= CurrentSettings.TokenCreated %></dd>

                            <dt>Token Type</dt>
                            <dd><%= CurrentSettings.TokenType %></dd>

                            <dt>Access Token</dt>
                            <dd><%= CurrentSettings.AccessToken %></dd>


                            <dt>Refresh Token</dt>
                            <dd><%= CurrentSettings.RefreshToken %></dd>

                            <dt>Token is renewed in</dt>
                            <dd><%= TokenExpire %></dd>

                        </dl>
                    </fieldset>
                </div>

                <div runat="server">
                    <fieldset id="fieldsetAuthenticate" runat="server">
                        <legend>Authenticate</legend>
                        <div>
                            Click in the hyperlink below to authenticate your Canto account and start access your Canto assets into Episerver editorial interface.
			
                        </div>
                        <p>
                            <a style="color: blue;" href="<%= CurrentSettings.OAuth2Url %>api/oauth2/authorize?response_type=code&app_id=<%= CurrentSettings.AppId %>&redirect_uri=<%= HttpUtility.UrlEncode(GetRedirectUri()) %>"
                                target="_self">Click to Authenticate</a>
                        </p>
                    </fieldset>

                    <fieldset>
                        <legend>Configuration</legend>
                        <dl>
                            <dt>App Id</dt>
                            <dd>
                                <asp:TextBox ID="txtAppId" runat="server" Width="500px" /></dd>
                            <dt>App Secret</dt>
                            <dd>
                                <asp:TextBox ID="txtAppSecret" runat="server" Width="500px" /></dd>
                            <dt>Portal Url</dt>
                            <dd>
                                <asp:TextBox ID="txtPortalUrl" runat="server" Width="500px" /></dd>
                            <dt>OAuth Domain Url</dt>
                            <dd>
                                <asp:TextBox ID="txtOAuth2Url" runat="server" Width="500px" /></dd>
                            <dt>Canto Api Url</dt>
                            <dd>
                                <asp:TextBox ID="txtApiUrl" runat="server" Width="500px" /></dd>

                            <dt></dt>

                        </dl>
                        <dl>
                            <dd>
                                <span class="epi-cmsButton">
                                    <asp:Button ID="ButtonSaveSettings" runat="server" OnClick="ButtonSaveSettings_Click" Text="<%$ Resources: EPiServer, button.save %>" ToolTip="<%$ Resources: EPiServer, button.save %>" SkinID="Save" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Save" />
                                </span>
                                <span class="epi-cmsButton">
                                    <asp:Button ID="ButtonClear" runat="server" OnClick="ButtonClear_Click" Text="<%$ Resources: EPiServer, button.clear %>" ToolTip="<%$ Resources: EPiServer, button.clear %>" SkinID="Delete" CssClass="epi-cmsButton-text epi-cmsButton-tools epi-cmsButton-Cancel" />
                                </span>
                            </dd>
                        </dl>

                    </fieldset>
                </div>
            </asp:Panel>
           
        </div>
    </form>
</body>
</html>


